curl --request POST \
--url https://api.sandbox.teal.dev/v0/ledgers/{ledger_id}/opening-balance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'teal-instance-id: <teal-instance-id>' \
--data '{
"balance": 0
}'import requests
url = "https://api.sandbox.teal.dev/v0/ledgers/{ledger_id}/opening-balance"
payload = { "balance": 0 }
headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'teal-instance-id': '<teal-instance-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({balance: 0})
};
fetch('https://api.sandbox.teal.dev/v0/ledgers/{ledger_id}/opening-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"creation_date": "2023-11-07T05:31:56Z",
"is_opening_balance": true,
"line_entry_ids": [
"XMDsKVuW4Wmi3LTW31Qw6E",
"NULcvXTkLczde32qs1rqgB"
],
"linked_entity": null,
"line_entries": [
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "debit",
"description": "Payroll#230215",
"editable": false,
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "7JRNsKwy2Lw66caxVU7WGC",
"ledger_name": "Pluto Checking 4242",
"sort_order": 1,
"tags": [],
"transaction_id": "txn_UjL3BQnEaJtecuC7CUeDk"
},
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "credit",
"description": "Payroll#230215",
"editable": false,
"id": "NULcvXTkLczde32qs1rqgB",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "HLn8oy2eqMUCwjp1Cwdgco",
"ledger_name": "Payroll Expense",
"sort_order": 2,
"tags": []
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
],
"journal_entry_ids": [],
"files": [
{
"id": "<string>",
"file_name": "<string>"
}
],
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"line_entry": {
"line_entry_id": "<string>",
"line_entry_description": "<string>",
"line_entry_amount": 123,
"journal_entry_id": "<string>",
"journal_entry_description": "<string>"
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
]
},
"transfer": {
"id": "<string>",
"from_entry": {
"journal_entry_id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_entries": [
{
"amount": 123,
"ledger_id": "<string>",
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"datetime": "2023-11-07T05:31:56Z",
"editable": true,
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"journal_entry_description": "<string>",
"ledger_name": "<string>",
"description": "Payroll#230215",
"related_line_entry_id": "<string>",
"transaction_id": "<string>",
"sort_order": 1,
"journal_entry": null,
"ledger": null,
"opposing_ledger_ids": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"tag_group_id": "<string>"
}
],
"transaction": null,
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"external_id": "<string>",
"external_party_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
],
"line_payment_applications": [
{
"line_payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"type": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
]
}
}
]
},
"to_entry": {
"journal_entry_id": "<string>",
"description": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"line_entries": [
{
"amount": 123,
"ledger_id": "<string>",
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"datetime": "2023-11-07T05:31:56Z",
"editable": true,
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"journal_entry_description": "<string>",
"ledger_name": "<string>",
"description": "Payroll#230215",
"related_line_entry_id": "<string>",
"transaction_id": "<string>",
"sort_order": 1,
"journal_entry": null,
"ledger": null,
"opposing_ledger_ids": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"tag_group_id": "<string>"
}
],
"transaction": null,
"payment_applications": [
{
"payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"external_id": "<string>",
"external_party_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123
},
"adjustments": [
{
"accrual_adjustment_id": "<string>",
"debit_account_id": "<string>",
"credit_account_id": "<string>",
"amount": 123
}
]
}
],
"line_payment_applications": [
{
"line_payment_application_id": "<string>",
"matched_amount": 123,
"accrual_source": {
"accrual_source_id": "<string>",
"type": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
}
],
"accrual_source": {
"id": "<string>",
"instance_id": "<string>",
"reference_number": "<string>",
"effective_date": "2023-12-25",
"gross_amount": 123,
"amount_paid": 123,
"amount_adjusted": 123,
"amount_outstanding": 123,
"external_id": "<string>",
"external_party_id": "<string>",
"due_date": "2023-12-25",
"notes": "<string>",
"service_period_start": "2023-12-25",
"service_period_end": "2023-12-25",
"lines": [
{
"id": "<string>",
"accrual_source_id": "<string>",
"account_id": "<string>",
"line_number": 123,
"description": "<string>",
"amount": 123,
"external_id": "<string>"
}
]
}
}
]
}
},
"autocat_result": {
"id": "<string>",
"ledger_id": "<string>",
"confidence": 123,
"created_at": "2023-11-07T05:31:56Z",
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Set a Ledger's opening balance
Sets the opening balance for a Ledger on the entries start date for the Instance, or updates opening balance if the Ledger already has one. Returns a journal entry. A $0 balance clears the opening balance (deleting the ledger’s opening balance line entry) when one exists, instead of writing a zero-dollar line.
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The Teal instance ID
An optional identifier for audit logging.
Path Parameters
The ledger ID
Query Parameters
Comma-separated list of Journal Entry expand paths.
accrual_source, autocat_result, line_entries, line_entries.transaction, line_entries.ledger, line_entries.opposing_ledger_ids, line_entries.payment_applications, line_entries.line_payment_applications, transfer Body
The opening balance of the ledger on the entries_start date of the Instance.
-1000000000000000000 <= x <= 1000000000000000000Response
Successful Response
The unique ID of the object.
"C4ocnUQze8kDwQ3EczkZXn"
An arbitrary string on the object, useful for displaying to the user.
512"Payroll#230215"
The datetime the Journal Entry was created in UTC time.
"2023-02-15T06:42:18Z"
The timestamp when this journal entry record was created in the database.
"2023-02-15T06:42:18Z"
Whether the Journal Entry represents an opening balance.
false
The source of the journal entry creation: 'manual' if created manually by the user, 'transaction' if auto-generated from transaction categorization (e.g., Plaid sync), or 'legacy' if auto-generated from the old AR/AP system.
manual, transaction, accrual, payment_application, legacy, scheduled_accrual Whether the journal entry is still awaiting an auto-categorization result: 'pending' (awaiting), 'delayed' (timed out, a late result may still resolve it), or 'completed' (resolved, or not auto-categorized).
pending, delayed, completed The ids of the Line Entries detailing the Journal Entry's movement of value.
[
"XMDsKVuW4Wmi3LTW31Qw6E",
"NULcvXTkLczde32qs1rqgB"
]
Deprecated - always null
List of Line Entries. platformGL instances only. Included in expanded responses.
Show child attributes
Show child attributes
[
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "debit",
"description": "Payroll#230215",
"editable": false,
"id": "XMDsKVuW4Wmi3LTW31Qw6E",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "7JRNsKwy2Lw66caxVU7WGC",
"ledger_name": "Pluto Checking 4242",
"sort_order": 1,
"tags": [],
"transaction_id": "txn_UjL3BQnEaJtecuC7CUeDk"
},
{
"amount": 31282.28,
"categorization_status": "completed",
"datetime": "2023-02-15T06:42:18Z",
"debit_credit": "credit",
"description": "Payroll#230215",
"editable": false,
"id": "NULcvXTkLczde32qs1rqgB",
"journal_entry_description": "Payroll#230215",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "HLn8oy2eqMUCwjp1Cwdgco",
"ledger_name": "Payroll Expense",
"sort_order": 2,
"tags": []
}
]
The accrual source associated with this journal entry, if any. Included in expanded responses.
Show child attributes
Show child attributes
The transfer linking this journal entry to the journal entry on the other side of the transfer, if any. Included in expanded responses.
Show child attributes
Show child attributes
The auto-categorization result for the transaction underlying this journal entry, if any: how the category ledger was assigned (method, confidence, and rule). Null for manual journal entries, entries not categorized by the autocat pipeline, and entries a user has since manually recategorized (a manual categorization overrides the autocat result). Included in expanded responses.
Show child attributes
Show child attributes